<div class="region-management">
  <h2 class="pb-2 header">
    <span id="region-management-page-heading" jhiTranslate="regionManagement.home.title">Region management</span>

    <button class="btn btn-primary float-right jh-create-entity" (click)="openModifiedModal()">
      <span jhiTranslate="regionManagement.home.createButton">Create region</span>
    </button>
  </h2>
  <div class="row text-center">
    <div class="col-12">
      <div class="alert alert-secondary" role="alert" *ngIf="regions && regions.length === 0">
        <span jhiTranslate="global.dataEmpty"> regions are empty! </span>
      </div>
    </div>
  </div>
  <div class="table-responsive border-table" *ngIf="regions">
    <table class="table table-striped mb-0" aria-describedby="region-management-page-heading">
      <thead class="thead-light">
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="transition.bind(this)">
          <th scope="col" jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span>
            <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col" jhiSortBy="name"><span jhiTranslate="regionManagement.home.region">Name</span>
            <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col" jhiSortBy="country"><span jhiTranslate="regionManagement.home.country">Name</span>
            <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody *ngIf="regions">
        <tr *ngFor="let region of regions;">
          <td>{{ region.id }}</td>
          <td>{{ region.name }}</td>
          <td>{{ region.country.name }}</td>
          <td class="text-right">
            <div class="btn-group">
              <button ngbTooltip="{{'entity.action.edit' | translate}}" class="btn custom-icon-btn" type="button"
                (click)="openModifiedModal(region)">
                <i class="bi bi-pencil"></i>
              </button>
              <button ngbTooltip="{{'entity.action.delete' | translate}}" class="btn custom-icon-btn" type="button"
                (click)="openDeleteModal(region.id, region.name)">
                <i class="bi bi-trash"></i>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>

  <div *ngIf="regions" class="pt-5 d-flex justify-content-end mr-0">
    <jhi-item-count class="mr-4 align-self-center" [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage">
    </jhi-item-count>
    <ngb-pagination size="sm" [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="3"
      [rotate]="true" [boundaryLinks]="true" (pageChange)="transition()"></ngb-pagination>
  </div>
</div>